import { Component, Input, OnChanges, SimpleChanges } from '@angular/core';
import { Channel } from '../../../../models/channel';
import { AudioService } from '../../../../services/audio.service';

@Component({
  selector: 'app-channel-entry',
  standalone: false,
  templateUrl: './channel-entry.component.html',
  styleUrl: './channel-entry.component.scss'
})
export class ChannelEntryComponent implements OnChanges {
  public readonly NOTIFICATION_LIMIT: number = 10;

  @Input("channel") public channel!: Channel;
  @Input("selected") public selected!: boolean;

  public notifications: number = 0;

  constructor(private audioService: AudioService) { }

  ngOnChanges(_: SimpleChanges): void {
    if (this.selected) {
      this.notifications = 0;
    }
  }

  public Notify() {
    if (!this.selected) {
      this.notifications++;
      this.audioService.PlayNotification();
    }
  }
}
